// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dada una secuencia con las horas trabajadas por los empleados
// y el centinela -1, calcula si algn empleado hace menos de 8 horas

#include <iostream>

using namespace std;

// Definicin de constantes
const int N = 8;

// Programa principal
int main()
{
  // Declaracin de variables
  bool  encontrado;
  float x;

  // Inicio del tratamiento
  encontrado = false;

  cout << "Entra una secuencia de las horas trabajadas con el centinela -1:" << endl;

  // Obtencin del primer elemento
  cin >> x;

  while( (x != -1) && (!(encontrado)) ) // No ltimo elemento y no encontrado
    if ( x < N ) encontrado = true;
    else cin >> x; // Obtener siguiente elemento

  if ( encontrado )
    // Tratar encontrado
    cout << "Algun empleado que hace menos de 8 h." << endl;
  else
    // Tratar no encontrado
    cout << "No hay empleados que hagan menos de 8 h." << endl;

  return 0;
}
