// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dadas las horas de entrada y salida de los
// trabajadores (expresadas en minutos absolutos),
// calcula el porcentaje de trabajadores que hacen un mnimo de 480 minutos
// y la cantidad de minutos extras que se hacen

#include <iostream>

using namespace std;

// Definicin de constantes
const int MIN = 480;

// Programa principal
int main()
{
  // Declaracin de variables
  int cumplen = 0,     // Trabajadores que hacen 480 mnutos como mnimo
      total   = 0,     // Nmero total de trabajadores
      extras  = 0,     // Minutos extras
      entrada, salida, // Minutos de entrada y minutos de salida
      aux;             // Variable auxiliar
 
  // Se aplicar el esquema de recorrido:

  cout << "Entra los pares de los minutos de llegada y salida de cada empleado ";
  cout << "acabados con el centinela 0 0:" << endl;

  // Obtencin del primer par
  cin >> entrada >> salida;

  while ( !((entrada == 0) && (salida == 0)) ) // No ltimo elemento
  {
    // Tratar elemento
    aux = salida - entrada;
    if ( aux >= MIN )
    {
      extras += (aux - MIN);
      cumplen++;
    }
    total++;

    // Obtener siguiente par
    cin >> entrada >> salida;
  }

  // Salida de los resultados
  cout << "El " << ((double)cumplen)/((double)(total))*100.0;
  cout << "% cumple." << endl;
  cout << "Se han hecho " << extras << " minutos extras." << endl;

  return 0;
}
