// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dado un entero n calcula el n-simo trmino de la serie de Lucas.

#include <iostream>

using namespace std;

// Programa principal.
int main()
{
  // Declaracin de variables.
  int i  = 3, n,
      l0 = 1, l1 = 3, // Obtencin del primer (y segundo) elemento.
    lAct;             // Elemento actual.

  cout << "Indice del termino de la serie de Lucas a calcular: ";
  cin >> n ;

  if (n == 1) lAct = l0;
  else if (n == 2) lAct = l1;

  // El ltimo elemento se determina porque se cumple i = n.
  for ( i = 3; i < n; i++ )
  {
    lAct = l0 + l1; // Obtencin del siguiente elemento.

    l0   = l1;
    l1   = lAct;
  }

  // Tratamiento del ltimo elemento.
  if ( n > 2 ) lAct = l0 + l1;

  // n-esimo trmino de Lucas.
  cout << "El " << n << "-esimo termino de Lucas es: " << lAct << endl;

  return 0;
}
