// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dados los beneficion de dos paises durante los N ltimos aos
// calcula qu pas ha obtenido mayor beneficio durante ms aos.

#include <iostream>

using namespace std;

// Definicin de constantes
const int N = 3;

// Programa principal
int main()
{
  // Declaracin de variables
  int   i = 1, pais1 = 0, pais2 = 0;
  float beneficio1 = 0, beneficio2 = 0;

  // Se aplicar el esquema de recorrido:

  cout << "Entra los " << N << " pares de los beneficios:" << endl;

  // Obtencin del primer par
  cin >> pais1 >> pais2;

  while ( i < N ) // No ltimo elemento
  {
    // Tratar elemento
    if ( pais1 > pais2 ) beneficio1++;
    else if ( pais1 < pais2 ) beneficio2++;

    // Obtener siguiente par
    cin >> pais1 >> pais2;
    i++;
  }

  // Tratamiento final
  if ( pais1 > pais2 ) beneficio1++;
  else if ( pais1 < pais2 ) beneficio2++;

  // Salida de los resultados
  if ( beneficio1 == beneficio2 )
    cout << "Los dos paises han obtenido el mismo numero de veces mayor beneficio." << endl;
  else if ( beneficio1 > beneficio2 )
    cout << "El primer pais ha obtenido mayor beneficio mas veces." << endl;
  else if ( beneficio1 < beneficio2 )
    cout << "El segundo pais ha obtenido mayor beneficio mas veces." << endl;

  return 0;
}
