// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dadas las notas de N alumnos en orden creciente
// calcula cuntos alumnos han suspendido.

#include <iostream>

using namespace std;

// Definicin de constantes.
const int N = 10;

// Programa principal.
int main()
{
  // Declaracin de variables.
  bool  encontrado = false;
  int   suspensos  = 0;     // Contador de los suspensos.
  float x;

  // Inicio del tratamiento.
  cout << "Entra las " << N << " notas de los alumnos en orden creciente:" << endl;

  // Obtencin del primer elemento.
  cin >> x;

  // Mientras no ltimo elemento y no encontrado.
  while( (suspensos < N-1) && (!(encontrado)) )
  {
    if ( x >= 5.0 ) encontrado = true;
    else
    {
      // Tratar elemento.
      suspensos++;

      // Obtener siguiente elemento.
      cin >> x;
    }
  }

  // Tratamiento del ltimo elemento.
  if ( x < 5.0 ) suspensos++;

  // Tratamiento final
  if ( suspensos > 0 )
    cout << "Hay " << suspensos << " suspensos." << endl;
  else
    cout << "No hay suspensos." << endl;

  return 0;
}
