// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dados los vehculos que van entrando y saliendo en un aparcamiento,
// indica si al final del da queda algn vehculo.

#include <iostream>

using namespace std;

// Programa principal
int main()
{
  // Declaracin de variables
  char c;   // Carcter 'E', 'S' o 'F' dependiendo del caso
  int  n=0; // Nmero de vehculos que hay en el aparcamiento

  cout << "Entra una secuencia de E y S acabada en F" << endl; 
  // Obtencin del primer elemento
  cin >> c;

  while ( c != 'F' ) // Determinacin del ltimo elemento
  {
    if ( c == 'E' )  n++;
    else if ( c == 'S' )  n--;
    // Obtencin del siguiente elemento
    cin >> c ;
  }

  if ( n > 0 )
    cout << "Hay " << n << " coches en el aparcamiento." << endl;
  else
    cout << "No hay coches en el aparcamiento." << endl;

  return 0;
}
