// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dada una secuencia ordenada (con el centinela -1.0) de las horas
// en que los empleados de una empresa llegan,
// calcula cuntos llegan despus de las H horas

#include <iostream>

using namespace std;

// Definicin de constantes
const float N         =  9.0;
const float centinela = -1.0;

// Programa principal
int main()
{
  // Declaracin de variables
  int   i;
  bool  encontrado;
  float x;

  // Esquema de bsqueda:
  // Inicio del tratamiento
  encontrado = false;
  cout << "Entra una secuencia de las horas de llegada acabada en -1:" << endl;
  // Obtencin del primer elemento
  cin >> x;
  while( (x != centinela) && (!(encontrado)) ) // No ltimo elemento y no encontrado
    if ( x > N ) encontrado = true;
    else cin >> x; // Obtener siguiente elemento

  // Esquema de recorrido:
  // Inicio del tratamiento
  i = 0;
  while ( x != centinela )
  {
    i++;
    cin >> x; // Obtener siguiente elemento
  }
  cout << i << " empleados que llegan despus de las " << N <<"h." << endl;

  return 0;
}
