// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que calcula el porcentaje de los productos que pasan el control de calidad.

#include <iostream>

using namespace std;

// Programa principal
int main()
{
  // Declaracin de variables
  char c;      // Lee sucesivamente las diferentes entradas, 'S', 'N' o 'F'
  int nS = 0,  // Nmero de productos que pasan el control de salidad
      nT = 0;  // Nmero total de productos

  cout << "Entra una secuencia de S y N acabada en F" << endl; 
  // Obtencin del primer elemento
  cin >> c;

  while ( c != 'F' ) // Determinacin del ltimo elemento
  {
    if ( c == 'S' ) nS++;
    nT++;
    // Obtencin del siguiente elemento
    cin >> c;
  }

  if ( nT > 0 )
  {
    cout << "El porcentaje de productos que pasan el control de calidad es del ";
    cout << (double)(nS) / (double)(nT) * 100.0 << "%." << endl;
  }
  else
    cout << "No hay productos." << endl;

  return 0;
}

