// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dada una secuencia de temperaturas acabada en -273.0,
// calcula el valor mximo

#include <iostream>

using namespace std;

// Definicin de constantes
const float MIN = -273.0;

// Programa principal
int main()
{
  float x, max = MIN;

  cout << "Entra una secuencia de temperaturas con el centinela -273.0:" << endl; 
  cin >> x; // Obtencin del primer elemento

  while ( x != MIN )
  {
    // Tratamiento del elemento.
    if ( x > max ) max = x;
    // Obtencin del siguiente elemento.
    cin >> x;
  }

  if ( max == MIN ) cout << "No hay temperaturas" << endl;
  else cout << "Temperatura mxima: " << max << endl;

  return 0;
}
