// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dadas las horas trabajadas durante N das, calcula la media.

#include <iostream>

using namespace std;

// Definicin de constantes.
const int N = 10;

// Programa principal.
int main()
{
  // Declaracin de variables.
  int   i;          // Nmero de datos ledos hasta el momento
  float x,          // x son las horas trabajadas en un da
        suma = 0.0; // suma son las horas acumuladas

  cout << "Entra una secuencia de las horas trabajadas durante ";
  cout << N << " das:" << endl; 

  // Obtencin del primer elemento.
  cin >> x;

  for ( i = 1; i < N; i++ )
  {
    // Tratamiento del elemento.
    suma += x;
    // Obtencin del siguiente elemento.
    cin >> x;
  }

  // Tratamiento del ltimo elemento.
  suma += x ;

  cout << "La media de horas trabajadas diariamente es ";
  cout << suma / float(N) << endl;

  return 0;
}
