// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Captulo 4: Esquemas Algortmicos Bsicos

// Programa que dados los N datos de un sensor acstico calcula
// el valor mnimo, el valor mximo y la media

#include <iostream>

using namespace std;

// Definicin de constantes
const int N = 24;

// Programa principal
int main()
{
  // Declaracin de variables
  int   i;
  float aux, min, max, media;

  // Inicio del tratamiento
  i     = 1;
  media = 0.0;

  cout << "Entra los " << N << " datos reales del sensor acustico:" << endl; 

  // Obtencin del primer elemento
  cin >> aux;

  // Suponemos que el primer elemento es el mximo y el mnimo,
  // despus en el tratamiento ya actualizaremos su valor
  max = aux; min = aux;

  while ( i < N ) // No ltimo elemento
  {
    // Tratar elemento
    // Ntese que en la primera iteracin no son necesarias estas comprobaciones
    if ( aux > max ) max = aux;
    else if ( aux < min ) min = aux;
    media += aux;

    //Obtener siguiente elemento
    cin >> aux;
    i++;
  }
  
  // Tratamiento final
  if ( aux > max ) max = aux;
  else if ( aux < min ) min = aux;
  media += aux;

  cout << "Valor minimo: " << min << endl;
  cout << "Valor maximo: " << max << endl;
  cout << "Valor medio: "  << media/float(N) << endl;

  return 0;
}
